x

Search in
Sort by:

Question Status:

Search help

  • Simple searches use one or more words. Separate the words with spaces (cat dog) to search cat,dog or both. Separate the words with plus signs (cat +dog) to search for items that may contain cat but must contain dog.
  • You can further refine your search on the search results page, where you can search by keywords, author, topic. These can be combined with each other. Examples
    • cat dog --matches anything with cat,dog or both
    • cat +dog --searches for cat +dog where dog is a mandatory term
    • cat -dog -- searches for cat excluding any result containing dog
    • [cats] —will restrict your search to results with topic named "cats"
    • [cats] [dogs] —will restrict your search to results with both topics, "cats", and "dogs"

Office Holiday

Epic Games' offices will be on holiday from June 22nd to July 7th. During this period support will be limited. Our offices will reopen on Monday, July 8th. 

4.61 converting to 4.7.6 - Externally Referenced packages

Hi Guys,

I successfully converted, PIEed, and launched a 4.4 project to both 4.5.1 and 4.6.1. There is one map check error - World info _0 Maps need lighting rebuilt This doesn't make sense as I've just hit run build all.

When I clone the project, convert in place to 4.7.6, and build all, it PIEs, but throws a warning when I try to save: "This map is using externally referenced packages which won't be found when in a game and all references will be broken. Perform a map check for more details. Would you like to continue?" I save all, and unfortunatly the game crashes on Launch. Here is the Log file: alt text

I Would really like to run 4.7 as I want to go to 4.8! Your help is appreciated,

Umberto

Product Version: Not Selected
Tags:
output log.gif (193.5 kB)
more ▼

asked May 11 '15 at 05:51 PM in Bug Reports

avatar image

Umberto
171 8 9 15

avatar image Rudy Q ♦♦ STAFF May 11 '15 at 07:40 PM

Hey Umberto,

I have a few questions for you that will help narrow down what issue it is that you are experiencing.

Quick quesitons:

  1. What platform are you trying to launch for?

  2. If not windows, could you provide the exact device and operating system?

  3. What is the exact version of 4.7.6 version of the engine are you using (In the editor go to Help > About Unreal Editor and the number should look something like this: Version: 4.7.6-2513093)?

  4. Can you reproduce this issue in clean project?

  5. If so, could you provide a detailed set of steps to reproduce this issue on our end?

avatar image Umberto May 12 '15 at 12:25 AM

I'm launching on PC using windows Ultimate 7 sp1 Yes I'm on UE 4.7.6-2513093

Yes the extrenally referenced package error will occur on a clean project - but it won't crash the launcher.

Steps to repro: On a non boot, partioned hard drive clone a 4.6.1 project- (1st Person, max quality, with starter content) Rename TestProject47 Launch UE 4.7.6 and open TestProject47 - convert in place. Build all and notice all the cube meshes have the external reference error in the Map. This will not crash the launcher however. I wish I could say the same for my game!

thanks, Umberto

avatar image Rudy Q ♦♦ STAFF May 12 '15 at 06:02 PM

Hello

I was unable to reproduce this issue on our end.

Steps taken:

  1. Created new First person Project (with and without starter content)

  2. Saved the project

  3. Opened up the Project in 4.7.6 version of the engine

  4. Converted in place

  5. Clicked the build button

Quick questions:

  1. Did I miss and steps/ was there anything that you did differently?

  2. You said that you were getting a crash, could you provide the crash logs?

  3. Could you provide your dxdiag?

avatar image Umberto May 12 '15 at 06:33 PM

Sorry, yes an additional steps. Clone an exiting 4.6.1 Project. Rename this cloned project something completely new. After you convert in place the project in in 4.7.6 you build all, saveall. PIE, then launch.

Also did you do this on a 2ndary hard drive? crash log is in the 1st message I sent yes? I'm unfamiliar with dxdiag....

thanks a bundle Umberto

(comments are locked)
10|2000 characters needed characters left
Viewable by all users

2 answers: sort voted first

Hi Umberto,

projects created in 4.6 saved Content paths in config files as absolute paths instead of relative. This made the copy of your project look for its own content in original directory instead of the copied one. This got fixed in 4.7, where paths are saved as relative, so the problem shouldn't happen any more.

If you have any more 4.6 projects you'd like to copy and convert in place, make sure to delete /Saved directory. This will force engine to regenerate config files with proper content paths.

Cheers, Mikolaj

more ▼

answered Jul 21 '15 at 08:18 AM

avatar image

msieluzycki STAFF
120 2 3 6

avatar image Vindomire Feb 06 '16 at 06:45 PM

This fixed my issue with a 4.10.2 version as well.

avatar image spdemille Apr 03 '16 at 05:53 AM

did this get un-fixed? because i just upgraded my project from 4.10 to 4.11 and i have 73 errors about external referenced assets and i cannot build and run

avatar image hiperbou Apr 03 '16 at 09:15 AM

I'm having the same issue when upgrading a project from 4.10 to 4.11. I've used the "Open a copy" option.

avatar image Rudy Q ♦♦ STAFF Apr 04 '16 at 01:29 PM

Hello hiperbou,

If you have used the "Open a Copy" option that would mean that you are most likely experiencing a different issue. That being the case I will need you to create a new thread with additional information about your issue. After you do this you can place a link in a reply here and I will assist you further. I have also included a few questions that will help narrow down what issue it is that you are experiencing that you can answer in the new thread.

Questions for new thread:

  1. Can you reproduce this issue in a clean project?

  2. If so, could you provide a detailed list of steps to reproduce this issue on our end?

  3. Have you tried deleting your saved, intermediate, and config files (use a copy for this test so as not to lose backup files) before upgrading to the next version of the engine?

  4. Do you have multiple copies of the same project open at the same time when this issue occurs?

avatar image hiperbou Apr 06 '16 at 04:16 PM

Deleting my "saved" folder before upgrading fixed it. Thanks!

Anyway, you can reproduce it by creating a new project with the Third Person Template with 4.10.4, closing it, and open with the "Open a copy" option with 4.11.0.

avatar image Rudy Q ♦♦ STAFF Apr 06 '16 at 04:58 PM

I am happy to hear that your issue has been resolved. Thank you for the additional information. I will be closing this thread. If your issue returns please feel free to reopen this thread with any additional information.

(comments are locked)
10|2000 characters needed characters left
Viewable by all users

Hello Umberto,

You were correct, I was able to reproduce this issue after I cloned the project and then converted it. I have written up a report ( UE-15514) and I have submitted it to the developers for further consideration. I will provide updates with any pertinent information as it becomes available. Thank you for your time and information.

Make it a great day

more ▼

answered May 13 '15 at 02:21 PM

avatar image

Rudy Q ♦♦ STAFF
47.4k 545 132 523

avatar image Umberto May 13 '15 at 04:11 PM

Hi Rudy - where does that leave me? I have a project I've been working on for several years. I already went through a lengthy conversion of most of my assets from UDK (still in progress). I was an initial subscriber of UE4 and worked with it through 4.4. I took a year off to travel and am now working full time on this. Using the process outlined above (a week ago) the project has been updated to 4.6.1. I would like to apply for a Epic subsidy. I would also like to develop this for VR which would require UE4.8 I really reallly really would appreciate a solution /workaround to my issue.

thanks Umberto PS - I like your "make a great day" alt text

biodome_4610.jpg (142.5 kB)
avatar image Rudy Q ♦♦ STAFF May 13 '15 at 07:14 PM

Hello Umberto,

I see that you have a few concers listed out in your last post. Let's break this down into bite-sized chunks

The break down:

  • What does this mean for you?

The report means that the developers are going to take a look at the conversion process from 4.6.1 to 4.7.6 and see if they can eliminate the errors that were shown in the issue that you have reported.

  • A possible workaround?

I found that I do not receive the errors that were mentioned if I do not clone the project and I instead use the "Open a Copy button". In order to bring up the prompt shown in the image below you will need to launch the 4.7.6 version of the engine, click the browse button in the bottom right of the Unreal Project Browser, and navigate to the original version of your project (not a clone). I would not suggest converting in place ever. This can cause many issues. Instead of cloning the project and converting it in place you can simply click the "Open a copy" button that is shown below. This button will create a copy of the selected project for the version of the engine that is being used (in this case the 4.7.6 version). Let me know if your issues still occurs after this suggestion.

alt text

"Email unrealdevgrants@epicgames.com and tell us about your project. Send videos, links, and any other info you think will help us see why you and your project are awesome.

Remember, design concepts and ideas are still too early, and working prototypes are best. Your project must already work in or for UE4."

  • Developing for VR

Depending on what platform you are using for VR you may not need to upgrade to 4.8. The Oculus rift for example works on 4.6.1 and 4.7.6

I hope this information helps.

Make it a great day

openacopyhelp.png (34.1 kB)
avatar image Umberto May 13 '15 at 08:15 PM

Thank you Rudy!! I opened a copy and built (plays!) but the launcher button is greyed out. I read the 4.7 release notes and found it's upgraded but there doesn't seem to be a way to learn how to use it for a bonehead such as myself. Why is the documentation so sparse!

avatar image Rudy Q ♦♦ STAFF May 14 '15 at 01:47 PM

Hello Umberto,

The launcher button being grayed out sounds like a different enough issue that I would like you to create a new thread for tracking purposes. You can then post a link to the new thread in a reply to this issue and I will be more than happy to assist you further. Also could you post a screen shot of the issue (the grayed out button) in the new thread that is created.

(comments are locked)
10|2000 characters needed characters left
Viewable by all users
Your answer
toggle preview:

Up to 5 attachments (including images) can be used with a maximum of 5.2 MB each and 5.2 MB total.

Follow this question

Once you sign in you will be able to subscribe for any updates here

Answers to this question